package com.nantian.cloud.dbcapp.service;


import com.nantian.cloud.dbcapp.vo.CoalVo;
import com.nantian.cloud.dbcapp.vo.ElectricityIndex;

import java.text.ParseException;
import java.util.List;

/**
* @Description: 综合能耗服务层
* @Param:
* @return:
* @Author: zfw
* @Date: 2020/12/22
* @Date: 20:16
*/
public interface ElectricityService {

   //用能单位接入数量
    Integer getTotal(String area, String industry, String time);

    //电力企业数量
    Integer getInfo(String area, String industry, String time);
    // 电力数据
    ElectricityIndex getInfoData(String area, String industry, String time);

    ElectricityIndex getEnterpriseInfoData(String enterpriseCode, String time) throws ParseException;

    List<CoalVo> getInfoDataByArea(String area, String industry, String time);

    ElectricityIndex getEnterpriseInfoDataDetail(String enterpriseCode, String time);

    List<CoalVo> getCollectData(String area, String industry, String time) throws ParseException;
}
